Skip Headers
Oracle® E-Business Suite Certified Configuration Installation Guide
Release 11i (11.5.10) for AIX Based Systems, hp-ux PA-RISC (64-bit), Linux x86, and Solaris Operating System (SPARC 32-bit)
Part No. B15721-03
  Go To Table Of Contents
Contents
Go To Index
Index

Previous
Previous
Next
Next
 

2 Installation Requirements for Oracle E-Business Suite Certified Configuration

This chapter describes installation requirements for Oracle E-Business Suite Certified Configuration. It also provides information on how to validate your system for these requirements before you begin installation and deployment.

This chapter consists of the following topics:

2.1 System Requirements

Ensure that your system meets the requirements in the following sections:

2.1.1 Minimum Hardware Requirements

The minimum hardware requirements for Oracle E-Business Suite Certified Configuration for AIX Based Systems, hp-ux PA-RISC (64-bit), Linux x86, and Solaris Operating System (SPARC 32-bit) are as follows:

  • 2 CPUs

  • 450 MHz speed

  • 900 CPU power factor (port-specific)

    To calculate CPU power factor, multiply the number of processors with the speed of the processors. For example, CPU power factor = CPU count * speed

  • 2 Network Interface Cards (NIC), 10/1000 Mbps

  • 2 GB of physical memory

  • 2 GB disk swap space

In addition to these requirements, you need the following disk space for Oracle E-Business Suite Certified Configuration.

Table 2-1 lists the space needed for Oracle E-Business Suite Certified Configuration.

Table 2-1 Deployment Sizing

Environment Size
Production 103 GB
Test, Development, and Stage 73 GB

2.1.2 Minimum Software Requirements

Depending on your platform, go to one of the of the following sections for information on minimum software requirements:

2.1.2.1 Minimum Operating System Requirements for AIX

The minimum operating system requirements for the Oracle E-Business Suite Certified Configuration are as follows:

  • AIX 5L (5.1, 5.2, 5.3)

  • Software patches listed in Table 2-2

  • System packages listed in Table 2-3

  • JDK must be installed under the directory /usr/java14.


Notes:

  • The minimum operating system version, software patches and software packages are only the minimum requirements. Users might choose to use later versions that supersede the listed version.

  • Use the default AIX kernel parameters.



See Also:

Refer to the system administration manual for your platform for instructions on setting kernel parameters, installing software patches, and other system administration tasks.

2.1.2.1.1 Software Patches for Oracle E-Business Suite Certified Configuration on AIX

Table 2-2 lists the operating system software patches required for Oracle E-Business Suite Certified Configuration for AIX Based Systems (64-bit).

Table 2-2 Software Patches for AIX Based Systems (64-bit)

Patch Identifier Description
IY23677 Fix for Visual Age C++
IY26778 Truss Fix
IY28766 bread/bwrite, lread/lwrite, and phread/pwrite
IY28776 Fix for OOS Javascript error
IY28949 Fix for aio_nwait
IY29731 Fix for cpio
IY29813 Fix for cp and mv
IY29965 Fix for thread_wait()
IY30150 Fix for waitpid
IY30886 Fixes for JRE/JDK
IY30887 Fixes for JRE/JDK
IY31033 Fix for SDK
IY32907 Fix for VXFS
IY36656 Ad LV device, which prevents split I/O with striping

2.1.2.1.2 Software Packages for Oracle E-Business Suite Certified Configuration on AIX

Table 2-3 lists the operating system software packages required for Oracle E-Business Suite Certified Configuration for AIX Based Systems (64-bit).

Table 2-3 System Software Packages for AIX Based Systems (64-bit)

Product Version Description
bos.adt.lib 5.1.0.0 File set required to use the mathematical function
bos.perf.perfstat 5.1.0.0 Performance tool
Executable /bin/ksh 5.1.0.10 Korn shell
Executable bc 5.1.0.0 Interpreter for arbitrary-precision arithmetical language
Expect 5.3.3 Expect module
Gnutar 1.13 Gnu tar utility
Perl 5.005_003 Perl
sudo 1.6.6 Sudo
TCL 8.2.1 Tcl
Unzip 5.4.2 Unzip utility
Visual Age C++ Compiler 5.0.2.1 Visual Ace C/C++ runtime compiler
X11.base.rte 5.1.0.0 X Server
X11.vfb 5.1.0.0 X virtual frame buffer
Zip 2.3 Zip utility

2.1.2.2 Minimum Operating System Requirements for hp-ux

The minimum operating system requirements for Oracle E-Business Suite Certified Configuration are as follows:

  • hp-ux PA-RISC (64-bit) 11.11, 11.23

  • Software patches listed in Table 2-4

  • Software packages listed in Table 2-5

  • JDK must be installed under the directory, /opt/java1.4.


Note:

The minimum operating system version, software patches and software packages are only the minimum requirements. Users might choose to use later versions that supersede the listed version.


See Also:

Refer to the system administration manual for your platform for instructions on setting kernel parameters, installing software patches, and other system administration tasks.

2.1.2.2.1 Software Patches for Oracle E-Business Suite Certified Configuration on hp-ux 11.11

Table 2-4 lists the operating system software patches required for Oracle E-Business Suite Certified Configuration for hp-ux PA-RISC (64-bit) version 11.11.

Table 2-4 Software Patches for hp-ux PA-RISC (64-bit) version 11.11

Patch Number Version Description
GOLDAPPS11i B.11.11.0112.6 Gold Applications Patches for hp-ux 11i, December 2001
GOLDBASE11i B.11.11.0112.6 Gold Base Patches for hp-ux 11i, December 2001
HWEnable11i B.11.11.0203.5 Hardware Enablement Patches for hp-ux 11i, March 2002
PHCO_24402 1.0 Libc cumulative header file patch
PHCO_25226 1.0 Initialized TLS, Psets, Mutex performance
PHCO_26061 1.0 Kernel configuration commands patch
PHCO_26331 1.0 Mountall cumulative patch
PHCO_26466 1.0 Pthread additive perf enhancement and fixes
PHCO_27434 1.0 Libc cumulative patch
PHKL_25233 1.0 Select(2) and poll(2) hang
PHKL_25389 1.0 Core PM, vPar, Psets Cumulative Patch
PHKL_25468 1.0 Eventport (/dev/poll) pseudo driver
PHKL_25729 1.0 Signals, threads enhancement, Psets Enablement
PHKL_25993 1.0 Thread nostop for NFS, rlimit, Ufalloc fix
PHKL_25994 1.0 Thread NOSTOP, Psets Enablement, Ufalloc
PHKL_25995 1.0 Eventport syscalls; socket close(2); ufalloc
PHKL_26468 1.0 Shared mutex synchronization support patch
PHKL_27092 1.0 Thread NOSTOP, Abort; Psets
PHKL_27278 1.0 Mmap io, VM-JFS ddlock, thread perf, user limit
PHKL_27502 1.0 MO 4k sector size; FIFO; Event Port; perf
PHNE_25642 1.0 Cumulative ARPA Transport patch
PHNE_26388 1.0 ONC/NFS General Release/Performance Patch
PHNE_26728 1.0 Cumulative STREAMS Patch
PHNE_27063 1.0 Cumulative ARPA Transport patch
PHSS_24302 1.0 Linker startup code / SLLIC ELF support
PHSS_24638 1.0 HP aC++ -AA runtime libraries (aCC A.03.33)
PHSS_25092 1.0 X Font Server SEP2001 Periodic Patch
PHSS_25263 1.0 X Server cumulative patch - Xvfb for hp-ux 11.11
PHSS_25881 1.0 X/Motif Runtime JAN2002 Periodic Patch
PHSS_25985 1.0 ANSI C compiler General patch
PHSS_25986 1.0 +04/PBO compiler
PHSS_26263 1.0 Ld(1) and linker tools cumulative patch
PHSS_26971 1.0 Japanese TrueType font patch
PHSS_26973 1.0 Korean TrueType fonts patch
PHSS_26975 1.0 Chinese-S TrueType fonts patch
PHSS_26977 1.0 Chinese-T TrueType fonts patch
PHSS_27425 1.0 X/Motif Runtime Patch

2.1.2.2.2 Software Packages for Oracle E-Business Suite Certified Configuration on hp-ux 11.11

Table 2-5 lists the software packages required for Oracle E-Business Suite Certified Configuration for hp-ux PA-RISC (64-bit) version 11.11.

Table 2-5 System Software Packages for hp-ux PA-RISC (64-bit) version 11.11

Product Version Description
B3901BA B.11.11.04 HP C/ANSI C Developer's Bundle for hp-ux 11i (S800)
B3913DB C.03.33.01 HP aC++ Compiler (S800)
B5456CA C.01.18.05 hp-ux Development Kit for Java
B8110AA 1.2.2.11.01 Java 2 SDK for hp-ux (700/800), PA1.1 +PA2.0 Add On
B9788AA 1.3.1 Java 2 SDK 1.3 for hp-ux (700/800), PA1.1 +PA 2.0 Add On
BUNDLE11i B.11.11.0102.2 Required Patch Bundle for hp-ux 11i, February 2001
Expect 5.33 expect

Note: tcl/tk should be installed before or at the same time as expect.

HPUX11i-OE-Ent B.11.11.0203 hp-ux Enterprise Operating Environment Component
HPUXBase64 B.11.11 hp-ux 64-bit Base OS
HPUXBaseAux B.11.11.0203 hp-ux Base OS Auxiliary
RAID-00 B.11.11.01 PCI RAID; Supptd HW=A5856A
sudo 1.6.6 Utility to execute commands as another user.
tcl 8.2.1 tcl
tk 8.2.1 tk
unzip 5.42 unzip

Note: Should be installed in the /opt/unzip directory.

X11MotifDevKit B.11.11.01 hp-ux Developer's Toolkit - X11, Motif, and Imake
zip 2.3 zip

Note: Should be installed in the /opt/zip directory.


2.1.2.3 Minimum Operating System Requirements for Linux

The minimum operating system requirements for Oracle E-Business Suite Certified Configuration on Linux are as follows:

  • Red Hat AS/ES 2.1 (kernel version 2.4.9-e.34smp or later), or Red Hat AS/ES 3.0 (2.4.21-4EL or later), or SUSE Linux Enterprise Server 9 (2.6.5-7.97-bigsmp or later)

  • Software packages listed in Table 2-6, Table 2-7, and Table 2-8

  • Operating system patches (3006854 for RH 3.0, and 3633386 for SLES9)


Note:

The minimum operating system version, software patches and software packages are only the minimum requirements. Users might choose to use later versions that supersede the listed version.


See Also:

Refer to the system administration manual for your platform for instructions on setting kernel parameters, installing software patches, and other system administration tasks.

2.1.2.3.1 Software Requirements for Red Hat AS/ES 2.1 Systems

Table 2-6 lists the software packages required for Oracle E-Business Suite Certified Configuration for Red Hat AS/ES 2.1.

Table 2-6 Software Packages for Red Hat AS/ES 2.1

Packages Version
bc 1.06
expect 5.32.2
gcc and gcc-c++ 2.96
glibc 2.2.4
jdk from Sun 1.3.1
openmotif 2.1.30
pdksh 5.2.14
perl 5.6.1
sudo 1.6.5p2
tcl 8.3.3
tk 8.3.3
unzip 5.42
XFreefb-Xvfb 4.1.0
imap 2001a-10.0

2.1.2.3.2 Software Requirements for Red Hat AS/ES 3.0 Systems

If you are installing Red Hat AS/ES 3.0, you must install the patch for bug number 3006854. (INSTALLER INTEROPERABILITY PATCH FOR RHEL3.0). Refer to the README for detailed instructions. Ensure that the PATH environment variable is set correctly before you apply the patch. The LD version should be 2.14.90. Use the following command to determine the LD version.

$ ld -version

The value for the LD_ASSUME_KERNEL environment variable must be set correctly to enable Java to work.

Make the setting permanent by entering it in the applmgr and Oracle's user shell initialization files ($HOME/.bash_profile or $HOME/.profile) or in the system's global shell initialization file (/etc/profile).

From a Bourne, Bash, or Korn shell, enter the following:

LD_ASSUME_KERNEL=2.4.19
export LD_ASSUME_KERNEL

Table 2-7 lists the software packages and patches required for Oracle E-Business Suite Certified Configuration for Red Hat AS/ES 3.0.

Table 2-7 Software Packages and Patches for Red Hat AS/ES 3.0

Packages and Patches Version
glibc 2.3.2-95.20
make 3.79.1
openmotif 21-2.1.30-8
gcc 3.2.3-34
setarch 1.3-1
compat-db 4.0.14-5
compat-gcc 7.3-2.96.128
compat-gcc-c++ 7.3-2.96.128
compat-libstdc++ 7.3-2.96.128
gnome-libs 1.4.1.2.90-34.1

2.1.2.3.3 Software Requirements for SUSE Linux Enterprise Server 9 Systems

If you are installing SUSE Linux Enterprise Server 9, you must install the patch for bug number 3633386. (INSTALLATION STOPS WITH A LINKING ERROR ON SLES9). Refer to the README for detailed instructions. Ensure that the PATH environment variable is set correctly before you apply the patch. The LD version should be 2.4.21. Use the following command to determine the LD version.

$ ld -version

The value for the LD_ASSUME_KERNEL environment variable must be set correctly to enable Java to work.

Make the setting permanent by entering it in the applmgr and Oracle's user shell initialization files ($HOME/.bash_profile or $HOME/.profile) or in the system's global shell initialization file (/etc/profile).

From a Bourne, Bash, or Korn shell, enter the following:

LD_ASSUME_KERNEL=2.4.2.1
export LD_ASSUME_KERNEL

Table 2-8 lists the software packages and patches required for Oracle E-Business Suite Certified Configuration for SUSE Linux Enterprise Server 9.

Table 2-8 Software Packages and Patches for SUSE Linux Enterprise Server 9

Packages and Patches Version
openmotif 21-2.1.30-8
setarch 1.3-1
glibc 2.95
gcc 2.95
gcc+ 2.95

2.1.2.4 Minimum Operating System Requirements for Solaris

The operating system requirements for the Oracle E-Business Suite Certified Configuration on Solaris are as follows:


Note:

The minimum operating system version, software patches and software packages are only the minimum requirements. Users might choose to use later versions that supersede the listed version.


See Also:

Refer to the system administration manual for your platform for instructions on setting kernel parameters, installing software patches and other system administration tasks.

2.1.2.4.1 Software Patch for Oracle E-Business Suite Certified Configuration on Solaris 8

The Solaris 8 Recommended Patch Cluster (05 June 2002 or later) is required for Oracle E-Business Suite Certified Configuration for Solaris Operating Environment (SPARC 32-bit) version 8.

2.1.2.4.2 Software Packages for Oracle E-Business Suite Certified Configuration on Solaris 8

Table 2-9 lists the software packages required for Oracle E-Business Suite Certified Configuration for Solaris Operating Environment (SPARC 32-bit) version 8.

Table 2-9 Software Packages for Solaris Operating System (SPARC 32-bit) Version 8

Packages Version Description
SFWexpct 5.31 Expect
SFWsudo 1.6.5 Sudo
SFWtcl 8.3.2 TCL
SFWtk 8.3.2 TK
SUNWarc 11.8.0 Archive Libraries
SUNWbtool 11.8.0 CCS tools bundled with SunOS
SUNWhea 11.8.0 SunOS header files
SUNWj3dev 1.4.2 Java 2 SDK
SUNWlibm 5.8 Sun WorkShop Bundled libm
SUNWlibms 5.8 Sun WorkShop Bundled shared libm
SUNWmfrun 2.1.1 Motif
SUNWpl5u 11.8.0 Perl
SUNWsprot 5.8 Solaris Bundled Tools
SUNWtoo 11.8.0 Programming tools
SUNWzip 11.8.0 Zip
Unzip 5.42 Unzip

2.1.2.4.3 Software Packages for Oracle E-Business Suite Certified Configuration on Solaris 9

Table 2-10 lists the software packages required for Oracle E-Business Suite Certified Configuration for Solaris Operating Environment (SPARC 32-bit) version 9.

Table 2-10 Software Packages for Solaris Operating System (SPARC 32-bit) Version 9

Packages Version Description
SFWexpct 5.31 Expect
SFWsudo 1.6.5 Sudo
SFWtcl 8.3.2 TCL
SFWtk 8.3.2 TK
SUNWarc 11.9.0 Archive Libraries
SUNWbtool 11.9.0 CCS tools bundled with SunOS
SUNWhea 11.9.0 SunOS header files
SUNWj3dev 1.4.2 Java 2 SDK
SUNWlibm 5.9 Sun WorkShop Bundled libm
SUNWlibms 5.9 Sun WorkShop Bundled shared libm
SUNWmfrun 2.1.2 Motif
SUNWpl5u 11.9.0 Perl
SUNWsprot 5.9 Solaris Bundled Tools
SUNWtoo 11.9.0 Programming tools
SUNWzip 11.9.0 Zip
Unzip 5.42 Unzip

2.1.3 Kernel Parameter Settings

The following sections contain kernel parameter settings necessary to run Oracle E-Business Suite Certified Configuration.

2.1.3.1 Kernel Parameters for Oracle E-Business Suite Certified Configuration on hp-ux

Table 2-11 lists the kernel parameters required for Oracle E-Business Suite Certified Configuration for hp-ux PA-RISC (64-bit).

Table 2-11 Kernel Parameters for hp-ux PA-RISC (64-bit)

Parameter Value Description
eqmemsize 512 Space reserved for equivalently mapped entry
max_async_ports 150 Maximum async ports
max_thread_proc 256 Maximum number of thread processes
maxdsiz 0x4BC00000 Maximum data segment size
maxfiles 2048 Maximum number of files
maxfiles_lim 2048 Hard file limit per process
maxssiz 0x10000000 Maximum segment size
maxssiz_64bit 0x10000000 Maximum segment size (64 bit)
maxswapchunks 12539 Maximum swap chunks
maxuprc 3686 Maximum processes per user
maxusers 512 Maximum number of users
maxvgs 80 Maximum number of volume groups configured by cvm on system
msgmax 32768 Maximum message size
msgmnb 65535 Maximum number of bytes on queue
msgmni 4096 Number of message queue identifiers
msgseg 32767 Number of message segments in a message queue
msgssz 128 Message segment size in bytes
msgtql 32767 Number of system message header
nflocks 4096 Maximum number of file locks available to system
nstrtel 200 Maximum number of telnet sessions
nswapdev 25 Maximum number of swap devices
semmni 4098 Number of semaphore identifiers
semmns 8192 Maximum number of semaphores
semmnu 4112 Number of undo structures in the system
semume 64 Maximum number of undo entries per process
shmmax 0x40000000 Maximum size per shared memory segment (bytes)
shmmni 1024 Number of shared memory identifiers
shmseg 128 Shared memory segments per process
swchunk 4096 Size of each chunk created on service devices or file systems
unlockable_mem 2000 Amount of non-lockable memory

2.1.3.2 Kernel Parameters for Oracle E-Business Suite Certified Configuration on Linux

Table 2-12 lists the kernel parameters required for Oracle E-Business Suite Certified Configuration for Red Hat AS/ES 2.1 and 3.0, and SUSE LINUX Enterprise Server 9.

Table 2-12 Kernel Parameters for Linux x86

Kernel Parameter Value Description
SEMMNI 128 Number of semaphore identifiers
SEMMNS 32000 Maximum number of semaphores
SEMMSL 1000 Maximum number of semaphores per semaphore set
SEMOPM 100 Maximum number of operations per semop call
SHMMAX 1073741824 Maximum size per shared memory segment (bytes)
SHMMNI 100 Number of shared memory identifiers
nofile 65535 The hard limit entry for the number of open files should be defined in the /etc/security/limits.conf file.

2.1.3.3 Kernel Parameters for Oracle E-Business Suite Certified Configuration on Solaris

Table 2-13 lists the kernel parameters required for Oracle E-Business Suite Certified Configuration for Solaris Operating Environment (SPARC 32-bit).

Table 2-13 Kernel Parameters for Solaris Operating System (SPARC 32-bit)

Kernel Parameter Value Purpose
MSGMAX 16384 Maximum message size
MSGMNB 16384 Maximum number of bytes on queue
MSGMNI 2200 Number of message queue identifiers
MSGTQL 2500 Number of system message header
SEMMNI 100 Number of semaphore identifiers
SEMMNS 2500 Maximum number of semaphores
SEMMNU 2500 Number of undo structures in the system
SEMMSL 300 Maximum number of semaphores per semaphore set
SEMOPM 100 Maximum number of operations per semop call
SEMUME 2500 Maximum number of undo entries per process
SEMVMX 32767 Maximum value of a semaphore
SHMMAX 4294967295 Maximum size per shared memory segment (bytes)
SHMMIN 1 Minimum size per shared memory segment
SHMMNI 100 Number of shared memory identifiers
SHMSEG 32 Shared memory segments per process

2.2 Partitioning Requirements

Verify that your system meets the following partitioning requirements before you install Oracle E-Business Suite Certified Configuration.

Table 2-14 lists the mount points for an Oracle Applications 11i environment.

Table 2-14 Oracle Applications 11i Partitioning Requirements

Type Mount Points Size
Oracle /mount_point/oracle 5 GB
/mount_point/oradata 35 GB (Production)

70 GB (Vision Demo)

/mount_point/arch 3 GB
/mount_point/backupFoot 1  30 GB
Applications /mount_point/applmgrFoot 2  20 GB
/mount_point/applcsf 3 GB
/mount_point /product 7 GB
CC Stage Area/tools /admin 10 GB

/oem 2 GB

/stage 20 GB

/interface 1 GB

Footnote 1 Created in the Production environment type only.
Footnote 2 If additional languages will be installed for Oracle Applications instance, then add 6 GB of disk space to the applmgr mount point for each language.

2.3 Operating System Users and Groups

Oracle E-Business Suite Certified Configuration requires you to create certain users and groups based on instance type (Test, Development, Stage, or Production) and customer short code before starting installation.

Table 2-15 provides examples of users, groups, passwords, and directory structure for the Oracle Applications 11i Test environment, where the customer short code is abcd.

Table 2-15 Example of Test Environment Names for Oracle Applications11i

User Name/Password Group Home Directory
ortabcdi/ortabcdi dbtabcdi /tabcdi/oracle
aptabcdi/aptabcdi aatabcdi /tabcdi/product
infabcdi/infabcdi infabcdi /interface/infabcdi

2.4 Validation

Use the following procedure to validate that your system meets the minimum requirements before proceeding with the installation of Oracle E-Business Suite Certified Configuration.

  1. Log in as the root user.

  2. Create the /admin/ebso directory as the root user, if the directory does not exist.

  3. Install the Oracle E-Business Suite Certified Configuration Utility Pack to the /admin/ebso directory from an NFS mount location or from the DVD-ROM.

    • To install from an NFS mount location, enter the following command syntax:

      # mkdir /stage
      # mount cclibrary:/vol/LTrepos/CCrepos/<platform>/EBizCC/11510/NFS /stage
      # cd /stage/StartCD/Disk1/ebso/install
      # ./setup.sh
      
      

      In the preceding syntax, replace <platform> with the system on which you are staging the installation.

      When prompted for the location of the EBSO_HOME, press Enter to accept the default value, /admin/ebso.

      Unmount the /stage directory, using the following commands:

      # cd /
      # umount /stage
      
      
    • To install from DVD-ROM, insert the Start Here CD DVD-ROM into the DVD-ROM drive, and start the installation, using the relevant commands for your platform:

      • AIX Based Systems

        # mount -r -v cdrfs /dev/cd0 /cdrom
        # cd /cdrom/Disk1/ebso/install
        # ./setup.sh
        
        
      • hp-ux PA-RISC (64-bit)

        # nohup /usr/sbin/pfs_mountd &
        # nohup /usr/sbin/pfsd &
        # usr/sbin/pfs_mount -t rrip -z unix /dev/dsk/c5t2d0 /SD_cdrom
        # cd /SD_CDROM/Disk1/ebso/install
        # ./setup.sh
        
        
      • Linux x86

        # mount -t iso9660 /dev/cdrom /cdrom
        # cd /cdrom/Disk1/ebso/install
        # ./setup.sh
        
        
      • Solaris Operating Environment (SPARC 32-bit)

        # mount -r -F hsfs /dev/dsk/c0t6d0s2 /cdrom
        # cd /cdrom/Disk1/ebso/install
        # ./setup.sh
        
        

      When prompted for the location of the EBSO_HOME, press Enter to accept the default value, /admin/ebso.

      Unmount the DVD-ROM, using the relevant commands for your platform:

      • AIX Based Systems

        # cd /
        # umount /cdrom
        
        
      • hp-ux PA-RISC (64-bit)

        # cd /
        # /usr/sbin/pfs_umount /cdrom
        
        
      • Linux x86

        # cd /
        # umount /cdrom
        
        
      • Solaris Operating Environment (SPARC 32-bit)

        # cd /
        # umount /cdrom
        

2.4.1 Validation Script for Oracle E-Business Suite Certified Configuration

You can install Oracle E-Business Suite Certified Configuration on existing hardware with an existing operating system, if the hardware and operating system meet the minimum requirements. The media kit includes the ocheck validation script that checks the hardware and operating system before you install Oracle E-Business Suite Certified Configuration.

2.4.1.1 Running the ocheck Validation Script

To verify if your system meets Oracle E-Business Suite Certified Configuration requirements, log in as the root user, and run the ocheck script from the directory /admin/ebso/ocheck. You can run the ocheck script with or without capturing the output in a log file, as follows:

  • To run the ocheck script without capturing the output in a log file, use the following command:

    # ./ocheck -product ebiz -preinstall -prettyprint -relaxed
    
    
  • To run the ocheck script while generating a log file, use the following command, substituting a log file name for output_filename:

    # ./ocheck -product ebiz -preinstall -prettyprint -o output_filename -relaxed
    

Note:

The ocheck validation script does not check disk partitions required for Oracle software.

All the failures reported by the ocheck script must be corrected. Otherwise, the installation of Oracle E-Business Suite Certified Configuration might not succeed.